<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Customer App Notification</strong></h3>
      </div>
      <div class="ibox-content">
        <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="notification(f);">

          <div class="form-group">
            <label class="col-sm-2 control-label">Device / Customer Specific<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <select name="device" #type="ngModel" [(ngModel)]="pushNotification.type" class="form-control"
                (ngModelChange)="deviceCustomer($event);">
                <option value="" hidden>Select Device Type</option>
                <option value="device"> Device Specific </option>
                <option value="customer"> Customer Specific </option>
              </select>
              <div class="error-msg" *ngIf="submit && pushNotification.type ==''">
                <div>Device / Customer type field is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group" *ngIf="pushNotification.type == 'device'">
            <label class="col-sm-2 control-label">Device Type<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <select name="device_type" #device_type="ngModel" [(ngModel)]="pushNotification.device_type"
                (ngModelChange)="osVersion();" class="form-control">
                <option value="" hidden>Select Device Type</option>
                <option value='iOS'> iOS </option>
                <option value='Android'> Android </option>
              </select>
              <div class="error-msg" *ngIf="submit && pushNotification.device_type ==''">
                <div>Device type field is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group" *ngIf="pushNotification.type == 'device' && pushNotification.device_type == 'iOS'">
            <label class="col-sm-2 control-label">iOS Version</label>
            <div class="col-sm-10 form-input">
              <mat-select [(ngModel)]="company_id_list" name="company_id_list" (change)="setCompanyList($event);"
                placeholder="All iOS Versions" class="form-control" multiple>
                <mat-option *ngFor="let version of oSVersion" [value]="version">{{version}}
                </mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group"
            *ngIf="pushNotification.type == 'device' && pushNotification.device_type == 'Android'">
            <label class="col-sm-2 control-label">Android Version</label>
            <div class="col-sm-10 form-input">
              <mat-select [(ngModel)]="company_id_list" name="company_id_list" (change)="setCompanyList($event);"
                placeholder="All android Versions" class="form-control" multiple>
                <mat-option *ngFor="let version of oSVersion" [value]="version">{{version}}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group"
            *ngIf="pushNotification.type == 'customer'">
            <label class="col-sm-2 control-label">Select customers</label>
            <div class="col-sm-10 form-input">
              <mat-chip-list #chipList>
                <mat-chip *ngFor="let status of statuses" [selectable]="selectable" [removable]="removable"
                  (removed)="remove(status)">
                  {{status}}
                  <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                </mat-chip>
                <input class="form-control" placeholder="All customers" #fruitInput [formControl]="fruitCtrl"
                  [matAutocomplete]="auto" [matChipInputFor]="chipList"
                  [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [matChipInputAddOnBlur]="addOnBlur"
                  [(ngModel)]="customers" (ngModelChange)="searchCustomer($event);">
              </mat-chip-list>
              <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)"
                [displayWith]="displayFnOrderId">
                <mat-option *ngFor="let fruit of filteredFruits" [value]="fruit">
                  {{fruit.firstname}}
                </mat-option>
              </mat-autocomplete>
            </div>
          </div>
          <div class="form-group" *ngIf="pushNotification.type == 'customer' && statuses.length==0">
            <label class="col-sm-2 control-label">Customer type</label>
            <div class="col-sm-10 form-input">
              <select name="device" [(ngModel)]="pushNotification.futureCustomers" class="form-control">
                <option value="0">All</option>
                <option value='1'> All customers + Future customers </option>
                <option value='2'> Future customers </option>
              </select>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Title<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="50" placeholder="Title" name="title" #title="ngModel"
                [(ngModel)]="pushNotification.title" required>
              <div class="error-msg" *ngIf="title.errors && (title.dirty || title.touched || f.submitted)">
                <div [hidden]="!title.errors.required">Title is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group"><label class="col-sm-2 control-label">Description<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder=" Description" name="description"
                #text="ngModel" [(ngModel)]="pushNotification.text" required>
              <div class="error-msg" *ngIf="text.errors && (text.dirty || text.touched || f.submitted)">
                <div [hidden]="!text.errors.required">Description is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Link</label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" maxlength="500" placeholder=" Link" name="link" #link="ngModel"
                [(ngModel)]="pushNotification.link">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Expiry<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-xs-10 form-input">
              <input [(ngModel)]="pushNotification.notification_expiry" name="start_date"
                  [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1"
                  placeholder="Created Date Start" class="form-control" readonly required #date="ngModel">
              <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                  [owlDateTimeTrigger]="dtPicker1"></i>
              <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
              <div class="error-msg" *ngIf="date.errors && (date.dirty || date.touched || f.submitted)">
                <div [hidden]="!date.errors.required">Expiry date is required.</div>
              </div>
          </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Promocode</label>
            <div class="col-md-10 form-input">
              <input [(ngModel)]="pushNotification.promocode" type="text" [matAutocomplete]="promos"
              placeholder="Select Promocode" name="promocode" #promocode="ngModel" class="form-control" (ngModelChange)="searchPromo($event)">
              <mat-autocomplete #promos="matAutocomplete" (optionSelected)="promoSelected($event)" [displayWith]="displayFnDevice">
                  <mat-option *ngFor="let promo of promo_list" [value]="promo">
                      <div class="option-otr">
                          <div class="option_span">{{promo.promo_name}}</div>
                          <div class="option_span"> {{promo.promo_code}}</div>
                      </div>
                  </mat-option>
                  <mat-option *ngIf="promo_list == '' && promo_list.length == 0">No Matches
                      Found</mat-option>
              </mat-autocomplete>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Image</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg', 'jpg', 'png']" [buttonCaption]="'Select Image'" [max]="1"
                [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
                >
              </image-upload>
              <span *ngIf="spandata == 'yes'" class="image-format clearimage">
                Remove old image before new upload.
              </span>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit" [disabled]="f.invalid">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/customer']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>